Film Gimp(1)

NAME
filmgimp - Image manipulation program supporting 16-bit color and a frame manager.

SYNOPSIS
filmgimp [-h] [--help] [-v] [--version] [-b] [--batch <commands>] [-n] [--no-interface] [--no-data] [--verbose] [--no-shm] [--no-xshm] [--display display] [--no-splash] [--no-splash-image] [--debug-handlers] [--console-messages]

DESCRIPTION

Film Gimp is a motion picture editing tool primarily used for painting and retouching of individual movie frames. With sixteen bits per component instead of eight, Film Gimp has much more color depth capacity than Gimp. Film Gimp extended Gimp to operate upon a series of images, known as the frame manager, and in 16-bit linear and floating point color depths. Film Gimp is currently based upon the HOLLYWOOD 1.0.4 branch of Gimp, but is no longer a part of the GIMP project.

Film Gimp features a set of drawing, painting, and selection tools along with a frame manager to allow for quickly and easily working with multiple sequential image files.

Film Gimp has the script-fu scripting extension which allows for advanced non-interactive processing and creation of images.

OPTIONS

-h, --help
    Display a list of all commandline options.

-v, --version
    Output the version info.

-b, --batch <commands>
    Execute the set of <commands> non-interactively. The set of <commands> is typically in the form of a script that can be executed by one of the Gimp scripting extensions.

-n, --no-interface
    Run without a user interface.

--no-data
    Do not load patterns, gradients, palettes, or brushes. Often useful in non-interactive situations where startup time is to be minimized.

--verbose
    Show startup messages.

--no-shm
    Do not use shared memory between Film Gimp and its plugins. Instead of using shared memory, Film Gimp will send the data via pipe. This will result in slower performance than using shared memory.

--no-xshm
    Do not use the X Shared Memory extension. If Film Gimp is being displayed on a remote X server, this probably needs to be enabled. Also useful for any X server that doesn't properly support the X shared memory extension. This will result in slower performance than with X shared memory enabled.

--display display
    Use the designated X display.

--no-splash
    Do not show the splash screen.

--no-splash-image
    Do not show the splash screen image as part of the splash screen.

--debug-handlers
    Enable debugging signal handlers.

--console-messages
    Do not popup dialog boxes on errors or warnings. Print the messages on the console instead.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

FILES
Most Film Gimp configuration is read in from the users init file, $HOME/.filmgimp/gimprc. The system wide equivalent is in $PREFIX/share/filmgimp/$VERSION/gimprc. The system wide file is parsed first and the user's gimprc overrides the sytem settings. $PREFIX/share/filmgimp/$VERSION/gimprc_user is the default gimprc placed in users home directories the first time a user runs filmgimp. Film Gimp's data files are stored in $PREFIX/share/filmgimp/$VERSION where $PREFIX is set on install, but is typically /usr/local. $HOME/.filmgimp/gtkrc - users set of GTK config settings. Options such as widget color and fonts' sizes can be set here. $PREFIX/share/filmgimp/$VERSION/gtkrc - sytem wide default set of GTK config settings. $HOME/.filmgimp/menurc - user's set of keybindings. $HOME/.filmgimp/plug-ins - location of user installed plugins. $HOME/.filmgimp/pluginrc - plugin initialization values are stored here. This file is parsed on startup and regenerated if need be. $HOME/.filmgimp/tmp - default location that gimp uses as temporary space. $PREFIX/share/filmgimp/$VERSION/brushes - system wide brush files. $HOME/.filmgimp/brushes - user created and installed brush files. This files are in the .gbr (gimp brush) format. $PREFIX/share/filmgimp/$VERSION/palettes - the system wide palette files. The files are copied to the user palettes directory when gimp is first ran to allow the user to modify the palettes. This directory is not searched for palettes by default. $HOME/.filmgimp/palettes - copies of the system palette files as well as user created and modified palette files. $PREFIX/share/filmgimp/$VERSION/patterns - basic set of patterns for use in Film Gimp. $HOME/.filmgimp/patterns - user created and installed Film Gimp pattern files. These files are in the .pat format. $PREFIX/share/filmgimp/$VERSION/gradients - standard system wide set of gradient files. $HOME/.filmgimp/gradients - user created and installed gradient files. $PREFIX/share/filmgimp/$VERSION/scripts - system wide directory of scripts used in Script-Fu and other scripting extensions. $HOME/.filmgimp/scripts - user created and installed scripts. $HOME/.filmgimp/gflares - user created and installed gflare files. $HOME/.gimp/gfig - user created and installed gfig files. $PREFIX/share/filmgimp/$VERSION/gimp_splash.ppm - graphic file used for the gimp splash screen. $PREFIX/share/filmgimp/$VERSION/gimp_logo.ppm - graphic file used in the gimp about dialog. $PREFIX/share/filmgimp/$VERSION/gimp_tips.txt - list of tips displayed in the "Tip of the Day" dialog box.

SEE ALSO
X(1) gimp(1)

COPYRIGHT
Copyright © 1995 Spencer Kimball and Peter Mattis Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

SUGGESTIONS AND BUG REPORTS
Any bugs found should be reported to the Film Gimp Developer mailing list at filmgimp-devel@sf.net or you may want to make use of the online bug-tracking system available on the web at http://filmgimp.sourceforge.net When reporting Film Gimp bugs, it is important to include a reliable way to reproduce the bug, version number of Film Gimp (and probably GTK), OS name and version, and any relevant hardware specs. It is also very important to include as much info as possible about the Xserver the problem was found on including at least server name, the visual, and the bit depth. If a bug is causing a crash, it is very useful if a stack trace can be provided. And of course, patches to rectify the bug are even better.

OTHER INFO
The place to find Film Gimp info is at http://filmgimp.sf.net. Here you can find links to all things about Film Gimp includeing the mailing list archives. The latest version of Film Gimp is available from Film Gimp's sourceforge website http://filmgimp.sf.net.

AUTHORS
The complete history of Film Gimp has been cronicled by Robin Rowe at the Film Gimp homepage. Currently there are many active developers working on different aspects of film gimp. Most can be reached on the Film Gimp Devellopers mailing list. Major contibutors are: Robin Rowe, Sam Richards, Caroline Dahllof, Jonathan Cohen, Andrew Lau,...... Note: Please let me know if your name should be here! I've based this on what I remember seeing coming over the filmgimp-devel list so I'm sure I've missed many a folk. The Authors of Gimp 1.0.4 are Spencer Kimball and Peter Mattis. With patches, fixes, plugins, extensions, scripts and more from lots and lots of people including but not limited to Lauri Alanko, Shawn Amundson, John Beale, Zach Beane, Tom Bech, Marc Bless, Edward Blevins, Roberto Boyd, Seth Burgess, Brent Burton, Ed Connel, Andreas Dilger, Larry Ewing, David Forsyth, Jim Geuther, Scott Goehring, Heiko Goller, Michael Hammel, Christoph Hoegl, Jan Hubicka, Simon Janes, Ben Jackson, Tim Janik, Tuomas Kuosmanen, Peter Kirchgessner, Karl LaRocca, Jens Lautenbacher, Laramie Leavitt, Raph Levien, Adrian Likins, Ingo Luetkebohle, Josh MacDonald, Ed Mackey, Marcelo Malheiros, Ian Main, Torsten Martinsen, Federico Mena, Adam D. Moss, Shuji Narazaki, Sven Neumann, Stephen Robert Norris, Erik Nygren, Miles O'Neal, Jay Painter, Mike Phillips, Raphael Quinet, James Robinson, Mike Schaeffer, Tracy Scott, Manish Singh, Nathan Summers, Mike Sweet, Eiichi Takamori, Tristan Tarrant, Owen Taylor, Ian Tester, James Wang, Kris Wehner.